<script setup lang="ts">
const props = defineProps({
  modelValue: {
    type: Object,
    default: () => ({}),
  },
})
const emits = defineEmits(['update:modelValue', 'handleClick'])

const form = reactive(props.modelValue)

// const isOpenAllRows = ref(false)

// watch(form, newVal => {
//     emits('update:modelValue', newVal)
// })

function handle(type: string) {
  emits('handleClick', type)
}
</script>

<template>
  <el-form inline :model="form" class="filterBox">
    <!-- <el-form-item label="标签名称" prop="name">
                            <el-input v-model="form.name" clearable></el-input>
                        </el-form-item> -->
    <el-form-item>
      <!-- <el-button @click="handle('refresh')">刷新</el-button> -->
      <el-button type="primary" @click="handle('add')">新增</el-button>
    </el-form-item>
  </el-form>
</template>

<style lang="scss" scoped>
@include xbj_filter;
</style>
